GET/cosmos/staking/v1beta1/validators/{validator_addr}/unbonding_delegations

https://rest-babylon-mainnet.nodit.io/cosmos/staking/v1beta1/validators/string/unbonding_delegations

Retrieves the unbonding delegations of the validator.

Path Parameters
validator_addrstringrequired

Validator address to query.

Query Parameters
pagination.keystring (byte)

key is a value returned in PageResponse.next_key to begin querying the next page most efficiently. Only one of offset or key should be set.

pagination.offsetstring (uint64)

offset is a numeric offset that can be used when key is unavailable. It is less efficient than using key. Only one of offset or key should be set.

pagination.limitstring (uint64)

limit is the total number of results to be returned in the result page. If left empty it will default to a value to be set by each app.

pagination.count_totalboolean

count_total is set to true to indicate that the result set should include a count of the total number of items available for pagination in UIs. count_total is only respected when offset is used. It is ignored when key is set.

pagination.reverseboolean

Set to true to return results in descending order.

Responses
delegator_addressstring

delegator_address is the encoded address of the delegator.

validator_addressstring

Encoded address of the validator.

entriesobject[]

entries are the unbonding delegation entries.

creation_heightstring (int64)

creation_height is the height which the unbonding took place.

completion_timestring (date-time)

completion_time is the unix time for unbonding completion.

initial_balancestring

initial_balance defines the tokens initially scheduled to receive at completion.

balancestring

balance defines the tokens to receive at completion.

unbonding_idstring (uint64)

Incrementing ID that uniquely identifies this entry.

unbonding_on_hold_ref_countstring (int64)

Positive if the unbonding has been stopped by external modules.

next_keystring (byte)

next_key is the key to be passed to PageRequest.key to query the next page most efficiently. It will be empty if there are no more results.

totalstring (uint64)

Total number of results. Populated only when pagination.count_total is set in the request.

X-API-KEY
RequestCU30
cURL
curl -X GET "https://rest-babylon-mainnet.nodit.io/cosmos/staking/v1beta1/validators/string/unbonding_delegations?pagination.key=string&pagination.offset=string&pagination.limit=string&pagination.count_total=true&pagination.reverse=true" \
  -H "X-API-KEY: {YOUR_API_KEY}"
Response
Example · 200
{
  "unbonding_responses": [
    {
      "delegator_address": "string",
      "validator_address": "string",
      "entries": [
        {}
      ]
    }
  ],
  "pagination": {
    "next_key": "string",
    "total": "string"
  }
}